{% set PageTitle = "Article Hub" %}
{% extends "master.html" %}
{% set BodyClass = "article-hub theme-grey" %}

{% block main %}
	<div id="articleHubNav"></div>
	<div id="popularArticles"></div>
	<div id="promo"></div>
{% endblock %}

{% block styles %}
{% endblock %}

{% block scripts %}

  <script>
    window.addEventListener('load', function(){
    ReactDOM.render(React.createElement(Components.InPageNav,{
      mobileLabel:"All articles",
      cssClass:"articleHubNav",
      hasMarker:true,
      items:[
        {
          label:'Most loved',
          link:{href:'#/category1'},
        },
        {
          label:'Driving',
          link:{href:'#/category2'}
        },
        {
          label:'Home',
          link:{href:'#/category3'}
        },
        {
          label:'Family &amp; Pet',
          link:{href:'#/category4'}
        },
        {
          label:'Travel',
          link: {
            rel: 'nofollow',
            href:'#/category6',
          }
        },
        {
          label:'Retirement',
          link:{href:'#/category5'},
          selected:true
        },
        {
          label:'Health &amp; Lifestyle',
          link:{href:'#/category7'}
        },
        {
          label:'Money',
          link:{href:'#/category8'}
        },
        {
          label:'News',
          link:{href:'#/category9'}
        },
      ]
    }), document.getElementById("articleHubNav"));

    ReactDOM.render(React.createElement(Components.PopularArticles,{
      id:'fdfdfdfdfdfdfd',
      heading:"Selected driving articles",
      icon: '<img src="dist/images/cms/ArticleHub-Car-160x120.svg" />',
      linkSrc:'dist/json/article-hub-articles.json',
      ajax:true,
      cta:{
        type:'secondary',
        link:{
          html:'<a href="#">Want to see more?</a>'
        }
      },
      items: [
        {
          title: "Flight cancelled? How to claim, and what you're covered for lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ...",
          category: 'Category',
          link: {
            href: "#/article-1/",
            rel:"noreferrer",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Why the 'golden generation' of over-50s are taking gap years",
          category: 'Category',
          link: {
            href: "#/article-2/",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-2.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Flight cancelled? How to claim, and what you're covered for",
          category: 'Category',
          link: {
            href: "#/article-1/",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Flight cancelled?",
          category: 'Category',
          link: {
            href: "#/article-1/",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-2.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Flight cancelled? How to claim, and what you're covered for lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ...",
          category: 'Category',
          link: {
            href: "#/article-1/",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Flight cancelled? How to claim, and what you're covered for ",
          category: 'Category',
          link: {
            href: "#/article-1/",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-2.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Flight cancelled? How to claim, and what you're covered for lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ...",
          category: 'Category',
          link: {
            href: "#/article-1/",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Why the 'golden generation' of over-50s are taking gap years",
          category: 'Category',
          link: {
            href: "#/article-1/",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-2.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Flight cancelled? How to claim, and what you're covered for",
          category: 'Category',
          link: {
            href: "#/article-1/",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        }
      ],
    }), document.getElementById("popularArticles"));

    ReactDOM.render(React.createElement(Components.Promo, {
      heading: "There's plenty more where that came from, so let's stay in touch",
      copy: '',
      icon: {
        html:'<img src="dist/images/icon/icon-newsletter.svg">',
        size:{width:74,height:66}
      },
      cta: '<a href="http://example.com">Sign up here</a>',
    }), document.getElementById("promo"));
  })
</script>

{% endblock %}

{% block header %}
    <script>
window.addEventListener('load', function(){
      ReactDOM.render(React.createElement(PriorityComponents.HeaderBanner, {
        pageCategory:"Articles",
        pageCategoryHref:"#",
        desktopImage:{
          html:'<img src="dist/images/BG_image_road.jpg" alt="" />',
          src:'dist/images/BG_image_road.jpg',
          altText:'alt test goes here'
        },
	      mobImage:{
          html:'<img src="dist/images/BG_image_road.jpg" alt="" />',
          src:'dist/images/BG_image_road.jpg',
          altText:'alt test goes here'
        },
        theme:{
        	themeName:"teal"
        },
        headline:"Some copy about driving and driving articles goes here",
      }), document.getElementById("HeaderBanner"));
    })

    </script>
  {% endblock %}

